package ru.yandex.webmaster3.core.host.verification;

import ru.yandex.webmaster3.core.util.json.polymorphic.Polymorphic;

/**
 * @author avhaliullin
 */
public abstract class VerificationFailInfo implements Polymorphic<VerificationFailEnum> {
    private final VerificationFailEnum failEnum;

    protected VerificationFailInfo(VerificationFailEnum failEnum) {
        this.failEnum = failEnum;
    }

    @Override
    public VerificationFailEnum getType() {
        return failEnum;
    }
}
